# v10.1 Update

### Changelog

* All parameter updates (borrowing/funding) which require the current pair price are no longer done using the request/callback pattern but using signed prices from the oracles directly, in a single transaction
* Triggering orders (SL/TP/LIQ/LIMIT\_OPEN/STOP\_OPEN) is now also possible using signed pair prices in a single transaction (previous request/callback pattern still exists as backup)
* This both saves gas (5 less transactions) and decreases execution time
* Signed pair prices are validated, stored temporarily in storage, and cleaned up at the end of the transaction so the storage gas costs are refunded
* Refactored aggregator answer validation (OHLC values) and median/outliers filtering into separate helpers, re-used for signed prices validation (exact same logic as in `fulfill`)
* Updated `SL_LIQ_BUFFER_P` to `5%`, from `10%`
* Refactored `_limitSlDistance` to account for open and close fees, now min is `liqThreshold - 2 * totalPositionSizeP * leverage - SL_LIQ_BUFFER_P`.
* Updated `withinExposureLimits` to allow skew improvements even when skew is above max, uses new `withinSkewLimits` helper.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gains.trade/developer/technical-reference/contracts/changelogs/v10.1-update.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
